SbByteBuffer Class Reference

## Public Member Functions

| SbByteBuffer (const char *buffer)
| SbByteBuffer (const SbByteBuffer &buffer)
| SbByteBuffer (size_t size=0, const char *buffer=NULL)
| SbByteBuffer (size_t size, const unsigned char *buffer)
SbBool | isValid () const
size_t | size () const
SbBool | empty () const
const char & | operator[] (size_t idx) const
SbByteBuffer & | operator= (const SbByteBuffer &in)
SbBool | operator== (const SbByteBuffer &that) const
SbByteBuffer & | operator+= (const SbByteBuffer &buf)
void | push (const SbByteBuffer &buf)
const char * | constData () const
char * | data ()
void | makeUnique ()

## Static Public Member Functions

static SbByteBuffer & | invalidBuffer ()

The documentation for this class was generated from the following file:

- SbByteBuffer.h